summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorFelix Morgner <felix.morgner@gmail.com>2017-10-14 23:07:29 +0200
committerFelix Morgner <felix.morgner@gmail.com>2017-10-14 23:07:29 +0200
commit003a197b71bcde27d6d79a8040ca29c827080270 (patch)
treea7daf21eb493642af61c3b6dd7325ff750758461
parentfea44640fa8e2077fdf1f3477c35423bd1053cab (diff)
downloadextfs-003a197b71bcde27d6d79a8040ca29c827080270.tar.xz
extfs-003a197b71bcde27d6d79a8040ca29c827080270.zip
test: add JUnit Reporting integration
-rw-r--r--.travis.yml4
-rwxr-xr-x.travis/report-results.sh14
2 files changed, 18 insertions, 0 deletions
diff --git a/.travis.yml b/.travis.yml
index ab1d42f..16cea07 100644
--- a/.travis.yml
+++ b/.travis.yml
@@ -1,4 +1,5 @@
language: cpp
+dist: precise
matrix:
include:
@@ -97,3 +98,6 @@ script:
after_success:
- if [ "$BUILD_TYPE" == "Coverage" ]; then ../.travis/report-coverage.sh; fi
+
+after_script:
+ - if [ "$BUILD_TYPE" == "Coverage" ]; then ../.travis/report-results.sh; fi
diff --git a/.travis/report-results.sh b/.travis/report-results.sh
new file mode 100755
index 0000000..f2413aa
--- /dev/null
+++ b/.travis/report-results.sh
@@ -0,0 +1,14 @@
+#!/usr/bin/env bash
+
+set -e
+
+cd ${TRAVIS_BUILD_DIR}
+
+for report in $(find . -iname '*_test.xml'); do
+ echo "Publishing results from ${report}"
+ curl -X PUT \
+ -H "Authorization: Token ${JUNIT_REPORTING_TOKEN}" \
+ -H "Content-Disposition: attachement; filename=${report}" \
+ --upload-file ${report} \
+ ${JUNIT_REPORTING_HOST}/p/extfs/upload/${TRAVIS_BUILD_NUMBER}
+done